msymbol(3m17n)

NAME
msymbol - Get a symbol.

SYNOPSIS
MSymbol msymbol (const char * name)

DESCRIPTION
Get a symbol.

The msymbol() function returns the canonical symbol whose name is name. If there is none, one is created. The created one is not a managing key.

Symbols whose name starts by two spaces are reserved by the m17n library, and are used by the library only internally.

RETURN VALUE

    This function returns the found or created symbol.

ERRORS

    This function never fails.

SEE ALSO

    msymbol_as_managing_key(), msymbol_name(), msymbol_exist()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.